/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of appreports which is released under GPL-3.0-or-later.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, August 2020
 */

'use strict';

const db = require ('../db');
const { http } = require ('@sapphirecode/consts');

module.exports = async (req, res) => {
  if (
    typeof req.headers.app_id === 'undefined'
    || isNaN (parseInt (req.headers.app_id))
  ) {
    res.status (http.status_bad_request)
      .end ();
  }
  else {
    res.status (http.status_ok)
      .json (await db.log.get_all (parseInt (req.headers.app_id)));
  }
};
